Linux-verkkohotelli (cPanel) Ohje

Yritimme kääntää tämän sivun puolestasi. Englanninkielinen sivu on myös saatavilla.

Laajennettu tuki PHP -versioille 7.4 ja 8.0 Linux -verkkohotellille

PHP.net asetti PHP 7.4: n käyttöiän päättyneeksi (EOL) , ja PHP 8.0 suunnitteli turvallisuustuen lopettamista 26. marraskuuta 2023. Tämä EOL-muutos on pakottanut kehittäjät päivittämään koodinsa tukemaan PHP: n uusimpia versioita , kun taas suositut sovellukset (kuten WordPress ) tukevat edelleen PHP 7.4: ää (26. lokakuuta 2023 alkaen).

Mitä minun pitää tehdä?

Onneksi Linux -verkkohotellissa käytetään HardenedPHP by CloudLinuxia , joka suojaa vanhat ja ei -tuetut PHP -versiot, joten välittömiä toimenpiteitä ei tarvita!

Tästä huolimatta katsotaan edelleen parhaaksi käytännöksi päivittää uusin PHP -versio aina, kun se on mahdollista, ja varmistaa, että sivustosi sovellukset, laajennukset ja teemat ovat ajan tasalla. Suosittelemme varmuuskopioiden luomista ennen sivuston muutoksia.

Lisätietoja